%define module	django-auth-ldap

Name: 		python-%{module}
Version: 	1.2.8
Release: 	%mkrel 1
Summary: 	Django LDAP authentication backend
License:	BSD
Group: 		Development/Python
URL: 		https://bitbucket.org/psagers/django-auth-ldap/
Source0: 	https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pythonegg(2)(setuptools)

%description
This is a Django authentication backend that authenticates against an LDAP
service. Configuration can be as simple as a single distinguished name
template, but there are many rich configuration options for working with users,
groups, and permissions.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Django LDAP authentication backend
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pythonegg(3)(setuptools)

%description -n python3-%{module}
This is a Django authentication backend that authenticates against an LDAP
service. Configuration can be as simple as a single distinguished name
template, but there are many rich configuration options for working with users,
groups, and permissions.
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

find . -name '.buildinfo' -delete
find . -name '.spell*' -delete

# Remove bundled egg-info
rm -rf django_auth_ldap.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc CHANGES LICENSE README docs
%{python2_sitelib}/django_auth_ldap/
%{python2_sitelib}/django_auth_ldap-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc CHANGES LICENSE README docs
%{python3_sitelib}/django_auth_ldap/
%{python3_sitelib}/django_auth_ldap-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Apr 21 2016 daviddavid <daviddavid> 1.2.8-1.mga6
+ Revision: 1003936
- new version: 1.2.8

* Fri Feb 19 2016 umeabot <umeabot> 1.2.7-3.mga6
+ Revision: 970449
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 1.2.7-2.mga6
+ Revision: 886791
- rebuild for python 3.5

* Wed Sep 30 2015 daviddavid <daviddavid> 1.2.7-1.mga6
+ Revision: 885281
- new version: 1.2.7
- use new python macros
- remove no more needed patch

* Sun Jun 21 2015 daviddavid <daviddavid> 1.2.6-1.mga6
+ Revision: 837982
- new version: 1.2.6
- add more docs

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 744815
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.0-4.mga5
+ Revision: 728274
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 687970
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.2.0-2.mga5
+ Revision: 628554
- Rebuild for new Python

* Thu Apr 24 2014 daviddavid <daviddavid> 1.2.0-1.mga5
+ Revision: 617597
- add support of python 3
- add Patch0 to fix setup install_requires (pythonegg(3)(ldap) is not yet available on mga)
- update URL
- new version: 1.2.0

* Tue Oct 22 2013 umeabot <umeabot> 1.1.4-3.mga4
+ Revision: 543047
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.4-2.mga4
+ Revision: 498364
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jun 03 2013 kharec <kharec> 1.1.4-1.mga4
+ Revision: 436212
- update to new version 1.1.4

* Sun Jan 13 2013 umeabot <umeabot> 1.0.15-2.mga3
+ Revision: 378665
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 misc <misc> 1.0.15-1.mga2
+ Revision: 218552
- new version 1.0.15

* Mon Apr 18 2011 misc <misc> 1.0.9-1.mga1
+ Revision: 87649
- update to 1.0.9

* Thu Jan 27 2011 ahmad <ahmad> 1.0.7-1.mga1
+ Revision: 42338
- imported package python-django-auth-ldap


* Sun Dec 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.7-1mdv2011.0
+ Revision: 622931
- update to new version 1.0.7

* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.0.6-2mdv2011.0
+ Revision: 592243
- rebuild for python 2.7

* Fri Jul 30 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.6-1mdv2011.0
+ Revision: 563453
- update to new version 1.0.6

* Mon Jul 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.5-1mdv2011.0
+ Revision: 554938
- import python-django-auth-ldap


